import { Service } from 'typedi';
import { Repository } from 'typeorm';
import { InjectRepository } from 'typeorm-typedi-extensions';
import { BaseService, WhereInput } from 'warthog';

import { VideoMedia } from './video-media.model';

@Service('VideoMediaService')
export class VideoMediaService extends BaseService<VideoMedia> {
  constructor(@InjectRepository(VideoMedia) protected readonly repository: Repository<VideoMedia>) {
    super(VideoMedia, repository);
  }

  async find<W extends WhereInput>(
    where?: any,
    orderBy?: string,
    limit?: number,
    offset?: number,
    fields?: string[]
  ): Promise<VideoMedia[]> {
    let f = fields;
    if (f == undefined) {
      f = [];
    }

    return super.find<W>(where, orderBy, limit, offset, f);
  }
}
